package com.cm.common.config.properties;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MediaMaxDurationProperties
 * @Description: 媒体最大长度
 * @Author: WangGeng
 * @Date: 2020/5/31 16:54
 * @Version: 1.0
 **/
public class FileMediaMaxDurationProperties {

    private FileMediaBackendMaxDurationProperties backend;
    private FileMediaAppMaxDurationProperties app;
    private FileMediaWechatMaxDurationProperties wechat;

    public FileMediaBackendMaxDurationProperties getBackend() {
        return backend;
    }

    public void setBackend(FileMediaBackendMaxDurationProperties backend) {
        this.backend = backend;
    }

    public FileMediaAppMaxDurationProperties getApp() {
        return app;
    }

    public void setApp(FileMediaAppMaxDurationProperties app) {
        this.app = app;
    }

    public FileMediaWechatMaxDurationProperties getWechat() {
        return wechat;
    }

    public void setWechat(FileMediaWechatMaxDurationProperties wechat) {
        this.wechat = wechat;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"backend\":")
                .append(backend);
        sb.append(",\"app\":")
                .append(app);
        sb.append(",\"wechat\":")
                .append(wechat);
        sb.append('}');
        return sb.toString();
    }
}
